Koozali.org formerly Contribs.org

[HOW TO] Install eGroupWare on SME 7.x

Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #135 on: April 23, 2008, 08:42:50 PM »
So always read the manual  :-P

Offline kevinb

  • *
  • 237
Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #136 on: April 24, 2008, 01:35:57 AM »
No happiness here. I have cleared everything from Firefox and IE 6 and IE 7 (on more than one machine).

I confirmed I updated with "1.4.004-2".

The "Check Installation" in setup does have a new warning "Checking PEAR::Auth_SASL is installed: False
PEAR::Auth_SASL is needed by: EMailAdmin, felamimail. You can install it by running: pear install Auth_SASL". "pear install Auth_SASL" does not work. do I need this? I can log into EGW.

When I compose a new email in Firefox or IE 6, 7, I get "Error loading '/egroupware/phpgwapi/js/fckeditor/fckstyles.xml' (http Status: 200)".

I do not have any errors in EGW.

In the messages log I have "httpd: PHP Warning:  imap_open(): Couldn't open stream {localhost:143/notls}INBOX in /opt/egroupware/html/phpgwapi/inc/class.auth_mail.inc.php on line 76"

No errors in the httpd logs.

Any help would be appreciated. Thanks.

Kevin

Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #137 on: April 24, 2008, 11:57:00 AM »
@kevinb:

I had this particular error with FCKEditor when testing different CMS (websitebaker, phpwcms, ...) with SME as they're also using this inline editor. This error drove me mad and searching the web only resulted in very little hints to solve this problem.

But finally the solution was to add the following line to httpd.conf:

AddType text/xml .xml

So you have to integrate this line to the scripts of this contrib and the error should be gone.
For me it worked like a charm and with all scripts using the FCkeditor.

HTH

Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #138 on: May 14, 2008, 01:20:24 AM »
Have today installed eGW 1.4.004 because i badly need groupdav to sync with Thundebird/Lightning.

The first attempts to open https://my.domail/egroupware/icalsrv/groupdav.php/addressbook/ returned http error 403

From the howto: http://wiki.contribs.org/index.php?title=Egroupware i expanded the file /etc/e-smith/templates-custom/etc/httpd/conf/httpd.conf/90egw-syncml to look like this:
<Location /egroupware/rpc.php>
      AddHandler php5-cgi .php
      Action php5-cgi /php5-cgi/php
</Location>
<Location /egroupware/icalsrv.php>
      AddHandler php5-cgi .php
      Action php5-cgi /php5-cgi/php
</Location>
<Location /egroupware/icalsrv/groupdav.php>
      AddHandler php5-cgi .php
      Action php5-cgi /php5-cgi/php
</Location>


When i now open https://my.domail/egroupware/icalsrv/groupdav.php/addressbook/ i am prompted to login, but no action is taken upon login with eGW user/password

The access_log shows: "GET /egroupware/icalsrv/groupdav.php/addressbook/ HTTP/1.1" 401

And the error_log shows: PHP Warning:  imap_open() [<a href='function.imap-open'>function.imap-open</a>]: Couldn't open stream {localhost:143/notls}INBOX in /opt/egroupware/html/phpgwapi/inc/class.auth_mail.inc.php on line 76

It seems that something is going wrong on icalsrv/groupdav auth and eGW auth?? Can anybody help me on this problem?

Offline kevinb

  • *
  • 237
Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #139 on: May 14, 2008, 01:48:43 AM »
I too am dying for TB / Outlook contact syncing.

I had to back burner trying atariblau's suggestion (I'll need more instruction on this too atariblau ... thanks) to fix the FCKEditor problem and we are currently using a Funabol server (on Windows)to sync.

Please let me know if you get this working.

Kevin

Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #140 on: May 16, 2008, 06:40:17 AM »
Have been digging into the auth problem with groupdav.php. PHP run as cgi does NOT support basic http auth!! As rpc.php, icalsrv.php and groupdav.php has to be run under PHP5, and sme does not work under PHP5, they have to be run under PHP5 as cgi  :-x

But there seems to be som solution by use of apache rewrite :P Have found these 2 rewrite solutions:
http://www.sslcatacombnetworking.com/articles/http-authentication-php-cgi.html
http://drupal.org/node/97663#comment-468295

There is just a problem :? SME does not support .htaccess as far as i know, so the rewrite condition and rule has to be set in http.conf :?

Haven't figured out how and where to set the rewrite, but my experience with apache says it has to be in the virtualhost part. Can anybody help me with, how to set that in the httpd.conf template system?

Any help will be highly appreciated

Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #141 on: May 16, 2008, 07:02:52 AM »
Forgot to say i'we tried to set this rewrite that as a test redirect to google

<IfModule mod_rewrite.c>
      RewriteEngine on
     RewriteCond %{HTTP:Authorization} .*
RewriteRule ^.*$     http://www.google.com/ [R]
#      RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]
</IfModule>


In both /etc/e-smith/templates/etc/httpd/conf/httpd.conf/98egroupware and /etc/e-smith/templates-custom/etc/httpd/conf/httpd.conf/90egw-syncml, and as global. Neither worked.

Believe it will work if placed i <VirtualHost 0.0.0.0:80> and <VirtualHost 0.0.0.0:443>, but don't know how to do it in the template system.

Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #142 on: May 16, 2008, 02:36:42 PM »
Got the rewrite hack to work under PHP5 as cgi. Inserted RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L] in the virtualhost part of httpd.conf.

But that just brought me back to square one :sad:

Access not permitted

You've tried to open the eGroupWare application: icalsrv, but you
have no permission to access this application.

Sorry to have bothered you, but does anyone know why egroupware is blocking access to icalsrv??

Offline janet

  • ****
  • 4,808
Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #143 on: May 17, 2008, 08:44:35 AM »
gerteb

Quote
You've tried to open the eGroupWare application: icalsrv, but you
have no permission to access this application.
.....does anyone know why egroupware is blocking access to icalsrv??


Have you configured users within egroupware to have access rights to icalsrv ?
Please search before asking, an answer may already exist.
The Search & other links to useful information are at top of Forum.

Re: [HOW TO] Install eGroupWare on SME 7.x
« Reply #144 on: May 17, 2008, 11:53:30 PM »
No i hadn't :shock: Spent several hours figuring that out :-? I am a newbie in that program, but now i rocks :lol: It could be a real competitor to w2k3sbs if the problem with national chars is solved. As i can see one of the next versions of icalsrv will include full suport of webDAV, so i presume that versions newer than 6.2 of SOGo connector eventualy will work with icalsrv.

To sumarize:

The file /etc/e-smith/templates-custom/etc/httpd/conf/httpd.conf/90egw-syncml shall look like this:
<Location /egroupware/rpc.php>
      AddHandler php5-cgi .php
      Action php5-cgi /php5-cgi/php
</Location>
<Location /egroupware/icalsrv.php>
      Script PUT /opt/egroupware/html/icalsrv.php
      AcceptPathInfo On
      AddHandler php5-cgi .php
      Action php5-cgi /php5-cgi/php
      AddHandler ical/ics .ics
      Action ical/ics /var/www/egroupware/icalsrv.php
      Order allow,deny
      Allow from all
</Location>
<Location /egroupware/icalsrv/groupdav.php>
      Script PUT /opt/egroupware/html/icalsrv/groupdav.php
      AcceptPathInfo On
      AddHandler php5-cgi .php
      Action php5-cgi /php5-cgi/php
      Order allow,deny
      Allow from all
</Location>

And execute expand-template /etc/httpd/conf/httpd.conf before editing /etc/httpd/conf/httpd.conf.

And as a temporary hack, in the file /etc/httpd/conf/httpd.conf insert in the section <VirtualHost 0.0.0.0:443> insert the line:
RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]

In the two files icalsrv.php and groupdav.php insert in the top this line:
list($_SERVER['PHP_AUTH_USER'], $_SERVER['PHP_AUTH_PW']) = explode(':', base64_decode(substr($_SERVER['HTTP_AUTHORIZATION'], 6)));

The explanation can be found at http://www.sslcatacombnetworking.com/articles/http-authentication-php-cgi.html

The rewriterule ought to be expanded with two rewritecond's so it only affects the two files icalsrv.php and groupdav.php. If somebody can tell me how to insert these lines in the httpd.conf template system, i will post the final solution here. Until then. Don't do expand-template /etc/httpd/conf/httpd.conf :shock: